## org.apache.commons.math3.optim.nonlinear.vector
Class Target

    java.lang.Object
      org.apache.commons.math3.optim.nonlinear.vector.Target

All Implemented Interfaces:
  OptimizationData

    public class Target

extends java.lang.Object
implements OptimizationData

Target of the optimization procedure. They are the values which the objective vector function must reproduce When the parameters of the model have been optimized.
Immutable class.

Since:
  3.1
Version:
  $Id: Target.java 1416643 2012-12-03 19:37:14Z tn $

Field Summary
`private double[]` `target` Target values (of the objective vector function).

Constructor Summary
`Target(double[] observations)`

Method Summary
`double[]` `getTarget()` Gets the initial guess.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    private final double[] target

  Target values (of the objective vector function).

Constructor Detail

### Target

    public Target(double[] observations)

Parameters:
  `observations` - Target values.

Method Detail

### getTarget

    public double[] getTarget()

  Gets the initial guess.

  Returns:
    the initial guess.

Copyright (c) 2003-2013 Apache Software Foundation